org.richfaces.renderkit.html

## Class ResourceRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.html.ResourceRenderer

- Direct Known Subclasses:
    ResourceLibraryRenderer, ScriptsRenderer

      public abstract class ResourceRenderer
      extends javax.faces.render.Renderer

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeDependentResources(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Collection<Object> scripts)`
    `protected void` | `encodeResource(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, ResourceKey resource)`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceRenderer

          public ResourceRenderer()

  - ### Method Detail

    - #### encodeDependentResources

          protected void encodeDependentResources(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      Collection<Object> scripts)
                                           throws IOException

      Throws:
        `IOException`

    - #### encodeResource

          protected void encodeResource(javax.faces.component.UIComponent component,
                            javax.faces.context.FacesContext context,
                            ResourceKey resource)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.